TemplateModelListSequence (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template, class: TemplateModelListSequence

Package freemarker.template

# Class TemplateModelListSequence

java.lang.Object
freemarker.template.TemplateModelListSequence

All Implemented Interfaces:
  `TemplateModel`, `TemplateSequenceModel`

public class TemplateModelListSequence extends Object implements TemplateSequenceModel
A sequence that wraps a `List` of `TemplateModel`-s. It does not copy the original list. It's mostly useful when implementing `TemplateMethodModelEx`-es that collect items from other `TemplateModel`-s.

- ## Field Summary

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateModelListSequence​(List list)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TemplateModel`
  `get​(int index)`
  Retrieves the i-th template model in this sequence.
  `Object`
  `getWrappedObject()`
  Returns the original `List` of `TemplateModel`-s, so it's not a fully unwrapped value.
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateModelListSequence

    public TemplateModelListSequence​(List list)

- ## Method Details

  - ### get

    public TemplateModel get​(int index)
    Description copied from interface: `TemplateSequenceModel`
    Retrieves the i-th template model in this sequence.
    Specified by:
      `get` in interface `TemplateSequenceModel`
    Returns:
      the item at the specified index, or `null` if the index is out of bounds. Note that a `null` value is interpreted by FreeMarker as "variable does not exist", and accessing a missing variables is usually considered as an error in the FreeMarker Template Language, so the usage of a bad index will not remain hidden, unless the default value for that case was also specified in the template.

  - ### size

    public int size()
    Specified by:
      `size` in interface `TemplateSequenceModel`
    Returns:
      the number of items in the list.

  - ### getWrappedObject

    public Object getWrappedObject()
    Returns the original `List` of `TemplateModel`-s, so it's not a fully unwrapped value.